Bug 2679 - Samba returns current time for domain sequence number
Samba returns current time for domain sequence number
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.14a
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 04:22 UTC by John Janosik
Modified: 2014-03-17 19:49 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2005-05-04 04:22:15 UTC
See rpc_server/srv_samr_nt.c in function _samr_query_dom_info.  The two info
levels that return the domain sequence number, 2 and 8, call time(NULL).
Comment 1 Guenther Deschner 2005-05-06 01:45:28 UTC
John, when you are looking for a "real" sequence-number while using pdb_ldap
with OpenLDAP you might have a look at:
http://websvn.samba.org/cgi-bin/viewcvs.cgi?rev=5175&view=rev
Comment 2 Bill Marshall 2005-05-11 08:34:51 UTC
JRA asked for this bugzilla to be opened during our presentation at SambaXP.
Comment 3 John Janosik 2014-03-17 19:49:26 UTC
This was fixed a long time ago with the change to generate a seqnum from OpenLdap syncrepl contextCSN.  Not sure if this is the right way to close this to get it out of the listing of "My Bugs" in bugzilla.